.loading-mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: #000;
    z-index: 9999999999;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.loading-mask__logo {
    width: 300px;
    position: relative;
}

.loading-mask__logo-base {
    opacity: 0;
}

.loading-mask__logo-character {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.loading-mask__logo-character img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
}

.loading-mask__logo-character__item {
    position: relative;
    transform: scale(1.25);
    opacity: 0;
}

.loading-mask__logo-character__top {
    position: relative;
    transform: translate(0, -50px) scale(1.5);
    opacity: 0;
}

.animated-content > *,
.animated-element {
    opacity: 0;
    transform: translate(0, 50px);
}

.gallery__image > span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #E4212E;
    z-index: 1;
}

/*
 * For Line animation
 */

.animated-line::after {
    transform: scaleX(0);
    transition: transform 1.5s ease-in-out;
    transform-origin: left;
}

.animated-line.is-animated::after {
    transform: scaleX(100%);
}

.title-content__flex::after {
    transform-origin: right;
}

.with-icon::before {
    transform: translateX(-50px) rotate(-15deg);
    transform-origin: left;
    opacity: 0;
    transition: all .5s ease;
}

.with-icon.is-animated::before {
    transform: translateX(0) rotate(0deg);
    opacity: 1;
}

/* @media (min-width: 768px) {
    .with-icon.is-animated:before {
       font-size: 60px;
    }
} */


/*
 * For Bullet List
 */
.fancy-bulleted-list {}
.fancy-bulleted-list > li {
    transform: translate(50px, 0);
    opacity: 0;
}

ul.fancy-bulleted-list > li::before {
    transform: translate(50px, -50%) rotate(360deg);
    opacity: 0;
    transition: all 1.5s ease;
    left: 10px;
}

ul.fancy-bulleted-list > li.is-animated::before {
    transform: translate(0, -50%) rotate(0deg);
    opacity: 1;
    left: 10px;
}
